Package uk.ac.starlink.table

# Class TestTableScheme

java.lang.Object
uk.ac.starlink.table.TestTableScheme

All Implemented Interfaces:
  `uk.ac.starlink.table.Documented`, `uk.ac.starlink.table.TableScheme`

public class TestTableScheme extends Object implements uk.ac.starlink.table.TableScheme, uk.ac.starlink.table.Documented
TableScheme implementation for test data.

Since:
  26 Apr 2021
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TestTableScheme()`

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`createTable(String spec)`
`String`
`getExampleSpecification()`
`String`
`getSchemeName()`
`String`
`getSchemeUsage()`
`String`
`getXmlDescription()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestTableScheme

public TestTableScheme()

## Method Details

### getSchemeName

public String getSchemeName()

Specified by:
  `getSchemeName` in interface `uk.ac.starlink.table.TableScheme`

### getSchemeUsage

public String getSchemeUsage()

Specified by:
  `getSchemeUsage` in interface `uk.ac.starlink.table.TableScheme`

### getExampleSpecification

public String getExampleSpecification()

Specified by:
  `getExampleSpecification` in interface `uk.ac.starlink.table.TableScheme`

### getXmlDescription

public String getXmlDescription()

Specified by:
  `getXmlDescription` in interface `uk.ac.starlink.table.Documented`

### createTable

public uk.ac.starlink.table.StarTable createTable(String spec) throws uk.ac.starlink.table.TableFormatException

Specified by:
  `createTable` in interface `uk.ac.starlink.table.TableScheme`
Throws:
  `uk.ac.starlink.table.TableFormatException`